sonarqube-check:
  image: 
    name: sonarsource/sonar-scanner-cli:latest
    entrypoint: [""]
  variables:
    SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"  # Defines the location of the analysis task cache
    GIT_DEPTH: "0"  # Tells git to fetch all the branches of the project, required by the analysis task
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  tags:
    - openshift
  script: 
    - echo "before"
    - ls
    - ls -rtl
    - sonar-scanner
    - echo "after scan" 
    - ls -rtl
    
  allow_failure: true
  only:
    - master
    - main
   
